<?php /*
###########################################
#                                         #
#       Admin config tagcloud              #
#                                         #
###########################################
#                                         #
#   Créer le 	: 25/05/2011              #
#   Par 	: Saturnin                #
#   Contact	: saturnin@chez-san.net   #
#   Site web 	: http://chez-swan.net    #
#                                         #
###########################################
*/

require_once('../admin/admin_begin.php');
define('TITLE', 'administration - Config Tagcloud');
require_once('../admin/admin_header.php');
$Cache->load('tagcloud'); // on charge le cache, les variables serons mise a jour.

if (!empty($_POST['valid'])){

	$CONFIG_TAGCLOUD['news']	= retrieve(POST, 'news', 0);
	$CONFIG_TAGCLOUD['articles']	= retrieve(POST, 'articles', 0);
	$CONFIG_TAGCLOUD['download']	= retrieve(POST, 'download', 0);
	$CONFIG_TAGCLOUD['wiki']	= retrieve(POST, 'wiki', 0);
	$CONFIG_TAGCLOUD['gallery']	= retrieve(POST, 'gallery', 0);
	$CONFIG_TAGCLOUD['pages']	= retrieve(POST, 'pages', 0);
	$CONFIG_TAGCLOUD['match']	= retrieve(POST, 'match', 0);
	$CONFIG_TAGCLOUD['tournois']	= retrieve(POST, 'tournois', 0);
	$CONFIG_TAGCLOUD['photo']	= retrieve(POST, 'photo', 0);
	$CONFIG_TAGCLOUD['media']	= retrieve(POST, 'media', 0);

	$CONFIG_TAGCLOUD['news_style']		= retrieve(POST, 'news_style', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['articles_style']	= retrieve(POST, 'articles_style', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['download_style']	= retrieve(POST, 'download_style', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['wiki_style']		= retrieve(POST, 'wiki_style', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['gallery_style']	= retrieve(POST, 'gallery_style', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['pages_style']		= retrieve(POST, 'pages_style', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['match_style']		= retrieve(POST, 'match_style', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['tournois_style']	= retrieve(POST, 'tournois_style', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['photo_style']		= retrieve(POST, 'photo_style', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['media_style']		= retrieve(POST, 'media_style', 0, TSTRING_AS_RECEIVED);

	$CONFIG_TAGCLOUD['news_color']		= retrieve(POST, 'news_color', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['articles_color']	= retrieve(POST, 'articles_color', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['download_color']	= retrieve(POST, 'download_color', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['wiki_color']		= retrieve(POST, 'wiki_color', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['gallery_color']	= retrieve(POST, 'gallery_color', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['pages_color']		= retrieve(POST, 'pages_color', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['match_color']		= retrieve(POST, 'match_color', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['tournois_color']	= retrieve(POST, 'tournois_color', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['photo_color']		= retrieve(POST, 'photo_color', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['media_color']		= retrieve(POST, 'media_color', 0, TSTRING_AS_RECEIVED);

	$CONFIG_TAGCLOUD['news_hicolor']	= retrieve(POST, 'news_hicolor', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['articles_hicolor']	= retrieve(POST, 'articles_hicolor', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['download_hicolor']	= retrieve(POST, 'download_hicolor', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['wiki_hicolor']	= retrieve(POST, 'wiki_hicolor', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['gallery_hicolor']	= retrieve(POST, 'gallery_hicolor', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['pages_hicolor']	= retrieve(POST, 'pages_hicolor', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['match_hicolor']	= retrieve(POST, 'match_hicolor', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['tournois_hicolor']	= retrieve(POST, 'tournois_hicolor', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['photo_hicolor']	= retrieve(POST, 'photo_hicolor', 0, TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['media_hicolor']	= retrieve(POST, 'media_hicolor', 0, TSTRING_AS_RECEIVED);

	$CONFIG_TAGCLOUD['titre']		= retrieve(POST, 'titre', 'TagCloud', TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['largeur']		= retrieve(POST, 'largeur', '190', TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['hauteur']		= retrieve(POST, 'hauteur', '190', TSTRING_AS_RECEIVED);
	$CONFIG_TAGCLOUD['background']		= retrieve(POST, 'background', '', TSTRING_HTML);

	$CONFIG_TAGCLOUD['legend']		=  retrieve(POST, 'legend', 0);

	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($CONFIG_TAGCLOUD)) . "' WHERE name = 'tagcloud'", __LINE__, __FILE__);
			
//>	Régénération du cache du module ###### 
	$Cache->Generate_module_file('tagcloud');
//print_r($CONFIG_TAGCLOUD) ;				
	redirect(HOST . SCRIPT);	

}else{  // Chargement du cache
	$Tpl = new Template('tagcloud/admin_tagcloud.tpl') ;

	$m = 1; 
	$result_mod = $Sql->query_while("SELECT id, name, activ  
		FROM " . PREFIX . "modules
		WHERE activ = '1'
		ORDER BY id DESC", __LINE__, __FILE__);
	while ($row = $Sql->fetch_assoc($result_mod)) {
		$mod[$m] = $row['name'] ;			// on a donc $mod['0'] == 'news' par exemple.
		$m++ ;
	}
	$Sql->query_close($result_mod);

	$count_mod = count($mod) ; 				// $m est aussi set a le derniere valeur

	$mod_comp = array('news', 'download' ,'articles' ,'wiki' , 'pages' ,'gallery' ,'match' ,'tournois' ,'media' , 'photo');

	for($i=1 ; $i<= $count_mod ; $i++ ){
		if(in_array($mod[$i], $mod_comp)) {
			// on a un module que le minimodule sai traiter.
//style='10' color='0x8a004e' hicolor='0x8a004e'
			$Tpl->assign_block_vars('dispo', array(
				'MODULE' => $mod[$i],  			// pour l'input name{NUM} = {MODULE}
				'MODULE_ENABLED'  => (isset($CONFIG_TAGCLOUD[$mod[$i]])&&($CONFIG_TAGCLOUD[$mod[$i]] == 1))? 'checked="checked"' : '' , 
				'MODULE_DISABLED' => (isset($CONFIG_TAGCLOUD[$mod[$i]])&&($CONFIG_TAGCLOUD[$mod[$i]] == 1))? '' : 'checked="checked"' ,

				'C_EXT_CONF'      => (isset($CONFIG_TAGCLOUD[$mod[$i]])&&($CONFIG_TAGCLOUD[$mod[$i]] == 1))? TRUE : FALSE , 
				'MODULE_STYLE'    => isset($CONFIG_TAGCLOUD[$mod[$i].'_style'] )? $CONFIG_TAGCLOUD[$mod[$i].'_style']  : '10' ,
				'MODULE_COLOR'    => isset($CONFIG_TAGCLOUD[$mod[$i].'_color'] )? $CONFIG_TAGCLOUD[$mod[$i].'_color']  : '8a004e' ,
				'MODULE_HICOLOR'  => isset($CONFIG_TAGCLOUD[$mod[$i].'_hicolor'])? $CONFIG_TAGCLOUD[$mod[$i].'_hicolor'] : '8a004e' ,
			));
		}
	}

	$CONFIG_TAGCLOUD['titre']	= isset($CONFIG_TAGCLOUD['titre'])? $CONFIG_TAGCLOUD['titre'] : 'TagCloud';
	$CONFIG_TAGCLOUD['largeur']	= isset($CONFIG_TAGCLOUD['largeur'])? $CONFIG_TAGCLOUD['largeur'] : '190';
	$CONFIG_TAGCLOUD['hauteur']	= isset($CONFIG_TAGCLOUD['hauteur'])? $CONFIG_TAGCLOUD['hauteur'] : '190';
	$CONFIG_TAGCLOUD['background']	= isset($CONFIG_TAGCLOUD['background'])? $CONFIG_TAGCLOUD['background'] : '';
	$CONFIG_TAGCLOUD['legend']	= isset($CONFIG_TAGCLOUD['legend'])? $CONFIG_TAGCLOUD['legend'] : 1 ;

	$Tpl->assign_vars(array(
		'TITRE' => $CONFIG_TAGCLOUD['titre'],
		'LARGEUR' => $CONFIG_TAGCLOUD['largeur'],
		'HAUTEUR' => $CONFIG_TAGCLOUD['hauteur'],
		'BACKGROUND' => $CONFIG_TAGCLOUD['background'],

		'LEGEND_Y' => ($CONFIG_TAGCLOUD['legend'] == 1)? 'checked="checked"' : '' , 
		'LEGEND_N' => ($CONFIG_TAGCLOUD['legend'] == 1)? '' : 'checked="checked"' ,

		'L_UPDATE' => 'update',
		'L_RESET' => 'reset',
	));

	$Tpl->parse();
}
require_once('../admin/admin_footer.php');
?>

